// -----------------------------------------------------------------------------
// This file contains all application-wide Sass variables.
// -----------------------------------------------------------------------------
// scss-lint:disable SpaceBetweenParens, SpaceAfterComma

$colors: (
  dark:                  hsl(234,    12%,  26%),  // #444
  light:                 hsl(  0,     0%,  45%),  // #737373
  lighter:               hsl(  0,     0%,  60%),  // #999
  error:                 hsl( 21,   100%,  36%),  // #b40
  button:                hsl(  0,     0%,  53%),  //
  button-hover:          hsl(  0,     0%,  33%),  //
  button-icon:           hsl(  0,     0%,  66%),  //
  button-icon-hover:     hsl(  0,     0%,  53%),  //
  pill-background:       hsl(  0,     0%,  86%),  //
  dark-background:       hsl(234, 14.63%,  32%),  //
  superdark-background:  hsl(234,    31%,  17%),  //
  light-background:      hsl(235, 14.29%,  82%),  //
  lighter-background:    hsl(240,    13%,  91%),  // #e5e5eb
  kathde-purple-orig:    hsl(234,    24%,  59%),  //
  mud-white:             hsl(240,   100%,  96%),  //
  mud-light:             hsl(240,    20%,  67%),  // #99b
  mud-lighter:           hsl(240,     0%,  75%),  // #bfbfbf
  mud-dark:              hsl(240,    32%,  18%),  // #1f253d
/*kathde-purple1:        hsl(205, 45.45%, 47.45%),  //
  kathde-purple2:        hsl(224, 27.43%, 44.31%),  //
  kathde-purple3:        hsl(199, 73.20%, 38.04%),  //
  kathde-purple4:        hsl(195, 97.75%, 34.90%),  //
  kathde-purple5:        hsl(224, 35.59%, 46.27%),  //*/
  kathde-purple:         hsl(228, 31.69%,  47%),  //
  kathde-purple-light:   hsl(228,    32%,  55%),
  text-purple:           hsl(234, 28.85%,  40%),  //
  text-purple-light:     hsl(234,    27%,  60%),   //
  bg-white:              hsl(  0,     0%, 100%),


  //
  grey-0: #f6f7f7,
  grey-1: #dfe0e1,
  grey-2: #cfd8dc,
  grey-7: #293f54,
  hint-grey: #7b808c,
  blue: #2a94d6,
  light-red: #c77067,
  light-yellow: #f0cd66,
  light-green: #4ab471,
  //

  copy: dark,
  headlines: kathde-purple,
  action: text-purple,
  action-hover: text-purple-light,
  linkliste-foreground: light-background
);

$color-font-body: color(copy);
$color-base-background: color(bg-white);
$color-base-border: color(grey-1);

/// Regular font family
/// @type List
$font-copy: Roboto, 'Helvetica Neue', 'Helvetica', 'Arial', sans-serif;
$font-accent: 'Noto Serif', 'Droid Serif', 'Georgia', serif;
$font-italics: Georgia, 'Noto Serif', 'Droid Serif', serif;
$font-orig: 'Georgia', 'Minion Pro', 'Times', 'Times New Roman', serif;
$font-corporate: $font-accent;
$heading-font-family: $font-copy;
$font-size: 14pt;
$font-size: 11pt;
$bold-font-weight: 600;

$line-height: 1.5;
$line-height-desktop: 1.4142;
$line-height-heading: 1.2;

$base-font-size: 110 !default; // In %. Also used for mobile. Number only, no units.
$base-font-size-desktop: 100 !default; // In %. Used to calculate the desktop font size. Number only, no units.
$max-width: 35; // Number only, no units. Gets converted to REMs and pixels.

// Mobile base & leading
$base: 16 * ($base-font-size / 100);
$leading: round($base * $line-height);
$leading-rem: $leading / $base;

// Desktop base & leading
$base-desktop: 16 * ($base-font-size-desktop / 100);
$leading-desktop: round($base-desktop * $line-height-desktop);
$leading-rem-desktop: $leading-desktop / $base-desktop;


$base-spacing: $leading-rem * 1rem;
$small-spacing: $base-spacing / 2;

$show-grid: false;

$base-border-radius: .2rem;

// Modular Scale
$modular-scale: (
  xxxl: 4.3,
  xxl: 3.5,
  xl: 3,
  l: 2.5,
  m: 2,
  s: 1.6875,
  xs: 1.4375,
  xxs: 1.2,
  xxxs: 1,
  xxxxs: 0.8125
) !default;

// Headings Options
// [ h1: size (in rem), line height (* leading), margin top (* leading), margin bottom (* leading) ]
$headings: (
  h1: (2.5, 2, 4, 1),
  h2: (1.6875, 1.5, 2.5, 0.5),
  h3: (1.375, 1.1, 2, 0.5),
  h4: (1.2, 1, 1.5, 0.5),
  h5: (1, 1, 2.5, 0.5),
  h6: (1, 1, 2.5, 0.5)
) !default;

/// Breakpoints map
/// @prop {String} keys - Keys are identifiers mapped to a given length
/// @prop {Map} values - Values are actual breakpoints expressed in pixels
/// @see {mixin} respond-to
$breakpoints: (
  'small': (min-width: 320px),
  'medium': (min-width: 768px),
  'large': (min-width: 1024px),
) !default;


// Horizontal rule
$hr-style: line; // [ line / type ]
$hr-type-content: '***'; // [ '***' ]
$hr-type-char-spacing: 0.2em; // [ 0.2em ]
$hr-margin: 2;
$hr-margin-desktop: $hr-margin;
$hr-color: $color-font-body;
$hr-width: 100; // [ 100 ] — In pixels, only for line style
$hr-height: 4; // [ 2 ] — In pixels, only for line style


$base-duration: 250ms;
$base-timing: $ease-out-cubic;

$base-border-color: color(grey-1);
$base-border: 1px solid $base-border-color;

$flash-colors: (
  alert: color(light-yellow),
  error: color(light-red),
  notice: tint(color(blue), 50%),
  success: color(light-green)
);
